Read a microdeposit
Use this endpoint to read the attributes of a specific microdeposit according to its unique GUID.
Webhooks for microdeposit status changes are triggered when a status changes. However, the actual status of the microdeposit guid only updates once per hour on the 15th minute of the hour. For example, if the guid status updates on the 16th minute of the hour, you would have to wait for 59 minutes to see a status change. You may force a status update by calling the read microdeposit endpoint.
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for a microdeposit. Defined by MX.
Response
OK

